/webhooks/{webhookId}Update a webhook
Authentication
Bearer authentication is required for this operation.
Path parameters
webhookIdrequiredstringWebhook identifier.
Request body
descriptionstring | null | nullReplacement endpoint description, or null to clear it.
Option 1stringOptional endpoint description.
Option 2null | nullOne permitted response shape.
endpointstring (uri)Replacement webhook endpoint URL.
eventsarrayReplacement event subscriptions.
headersobjectReplacement static endpoint headers; use an empty object to clear them.
statusstringReplacement endpoint status. Values: "enabled", "disabled", "pending".
Request examples
curl --request PATCH 'https://api.au.boundry.dev/webhooks/string' \
+ -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+ -H 'Content-Type: application/json' \
+ --data '{"endpoint":"https://hooks.acme.com/boundry-v2","webhookId":"wh_01j0example"}'200 response
Updated webhook.
api_versionrequiredstringAPI version pinned to this endpoint. Values: "2026-08-14".
consecutive_failuresrequiredintegerConsecutive delivery failures.
created_atrequiredstring (date-time)Timestamp when the webhook was created. Example: "2026-08-14T12:00:00.000Z".
descriptionrequiredstring | null | nullOptional endpoint description.
Option 1stringOptional endpoint description.
Option 2null | nullOne permitted response shape.
endpointrequiredstring (uri)Webhook delivery endpoint URL. Example: "https://hooks.acme.com/boundry".
eventsrequiredarraySubscribed event types.
idrequiredstringWebhook identifier. Example: "msg_01j0example".
last_failure_atrequiredstring (date-time) | null | nullTimestamp of the last failed delivery, or null.
Option 1string (date-time)Timestamp of the last failed delivery.
Option 2null | nullOne permitted response shape.
last_success_atrequiredstring (date-time) | null | nullTimestamp of the last successful delivery, or null.
Option 1string (date-time)Timestamp of the last successful delivery.
Option 2null | nullOne permitted response shape.
objectrequiredstringResource type discriminator. Values: "webhook".
secret_prefixrequiredstringNon-secret signing-secret prefix. Example: "whsec_example".
statusrequiredstringWebhook state. Values: "enabled", "disabled", "pending".
updated_atrequiredstring (date-time)Timestamp when the webhook was last updated. Example: "2026-08-14T12:00:00.000Z".
{
"endpoint": "https://hooks.acme.com/boundry-v2",
"webhookId": "wh_01j0example"
}400 response
Request body was not valid JSON.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"endpoint": "https://hooks.acme.com/boundry-v2",
"webhookId": "wh_01j0example"
}401 response
Invalid API key.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"endpoint": "https://hooks.acme.com/boundry-v2",
"webhookId": "wh_01j0example"
}404 response
Webhook, delivery, or event not found.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"endpoint": "https://hooks.acme.com/boundry-v2",
"webhookId": "wh_01j0example"
}422 response
Request validation failed.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"endpoint": "https://hooks.acme.com/boundry-v2",
"webhookId": "wh_01j0example"
}